> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mygigsters.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> This endpoint lists API keys. The API Key is to be used in Basic Authentication format eg. curl -u 'apiUsername:apiPassword'. To access this endpoint you need to obtain a JWT via Get OTP and Verify OTP sections.

### Responses

| Code | Description |
| - | - |
| `200` | The API Key objects |

### Response fields

**id** `string`

The API Key ID.

**name** `string`

Friendly name of the API Key

**apiUsername** `string`

The Basic Auth API Key user name

```bash cURL theme={null}
curl 'https://qa-super.mygigsters.com.au/auth/list' \
    -H "Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP"
```

```javascript Node.js theme={null}
const response = await fetch("https://qa-super.mygigsters.com.au/auth/list", {
  method: "GET",
  headers: {
    Authorization: "Bearer JWT_FROM_VERIFY_OTP_STEP",
  },
});

const data = await response.json();
console.log(data);
```

```python Python theme={null}
import requests

response = requests.get(
    "https://qa-super.mygigsters.com.au/auth/list",
    headers={
        "Authorization": "Bearer JWT_FROM_VERIFY_OTP_STEP",
    },
)

print(response.json())
```

```ruby Ruby theme={null}
require "net/http"
require "json"
require "uri"

uri = URI("https://qa-super.mygigsters.com.au/auth/list")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer JWT_FROM_VERIFY_OTP_STEP"

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
  http.request(request)
end

puts JSON.parse(response.body)
```

```php PHP theme={null}
<?php

$ch = curl_init("https://qa-super.mygigsters.com.au/auth/list");

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP",
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

print_r(json_decode($response, true));
```

```java Java theme={null}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Example {
    public static void main(String[] args) throws Exception {
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://qa-super.mygigsters.com.au/auth/list"))
            .header("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient()
            .send(request, HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://qa-super.mygigsters.com.au/auth/list", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```

```csharp .NET theme={null}
using System.Net.Http.Headers;
using System.Text;

using var client = new HttpClient();

var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-super.mygigsters.com.au/auth/list");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "JWT_FROM_VERIFY_OTP_STEP");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
```

```json 200 theme={null}
[
  {
    "id": "1231412313213",
    "name": "My Key",
    "apiUsername": "29954bf9-c379-4107-8ed6-7af7eaf30981"
  }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.